Subject: RE: [Isis-wg] Minor comments on draft-ietf-isis-wg-mib-13.txt
From: Jonathan Harrison <[email-masked]>
To: "'Jeff Parker'" <[email-masked]>, [email-masked]
Date: Wed, 7 Apr 2004 10:51:27 +0100
List-Id: IETF IS-IS working group <isis-wg.ietf.org>

Jeff,

I agree that it does make sense to have these specific failures counted in
the isisCircRejAdjs.  We should still clarify the use of isisCircInitFails
though.

I think we should 

 - remove the reference to the "ISIS.aoi initialisationFailures"

 - change the description e.g. "The number of times that the underlying link
has failed."  (Possibly with an additional example?)

 - maybe even change the name to isisCircLinkFails.

What do you think?
Jon

-----Original Message-----
From: Jeff Parker [mailto:[email-masked]]
Sent: 05 April 2004 21:51
To: Jonathan Harrison; Jeff Parker; [email-masked]
Subject: [Isis-wg] Minor comments on draft-ietf-isis-wg-mib-13.txt

Jonathan -

I am accepting almost all of you helpful suggestions.  
However, this gave me pause.  I would thnk that the
two reasons you spell out would apply to isisCircRejAdjs, 
while InitFails would count link problems, such as NCP
failures on PPP.  You are probably right about the reference,
but I would argue that there are more reasons to drop adjacencies
today (non-matching IP adress, disagreements on 3-way handshake,..)
and we should put your two events in CircRejAdjs.  

- jeff parker

 - isisCircInitFails refers to "ISIS.aoi initialisationFailures", which
counts specific adjacency initialization failures due to having no version
or area address in common.  The MIB should spell this out.  For example,
"The number of times initialization of an adjacency on this circuit has
failed due to the peer having either no version or no area address in common
with the local system." 

Relevant objects below

    isisCircInitFails OBJECT-TYPE
        SYNTAX Counter32
        MAX-ACCESS read-only
        STATUS current
        DESCRIPTION
            "The number of times initialization of this circuit has
             failed."
        REFERENCE "{ISIS.aoi initialisationFailures (41)}"
    ::= { isisCircuitCounterEntry 4 }

    isisCircRejAdjs OBJECT-TYPE
        SYNTAX Counter32
        MAX-ACCESS read-only
        STATUS current
        DESCRIPTION
            "The number of times an adjacency has been rejected on
             this circuit."
        REFERENCE "{ISIS.aoi rejectedAdjacencies (42)}"
    ::= { isisCircuitCounterEntry 5 }

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg